org.apache.sling.crankstart.api

## Class CrankstartContext

- java.lang.Object
- - org.apache.sling.crankstart.api.CrankstartContext

    public class CrankstartContext
    extends Object

### Field Summary

Fields
`static String` `ATTR_STOP_CRANKSTART_PROCESSING` Name of the attribute that causes crankstart processing to stop
`static String` `ATTR_STOP_OSGI_FRAMEWORK` Name of the attribute that signals a framework stop
`static String` `DEFAULT_BUNDLE_START_LEVEL` Name of the default value used to set bundle start levels

### Constructor Summary

Constructors
Constructor and Description
`CrankstartContext()`

### Method Summary

Methods
`Object` `getAttribute(String key)`
`Map<String,String>` `getDefaults()`
`org.osgi.framework.launch.Framework` `getOsgiFramework()`
`Map<String,String>` `getOsgiFrameworkProperties()`
`void` `setAttribute(String key, Object value)`
`void` `setOsgiFramework(org.osgi.framework.launch.Framework f)`
`void` `setOsgiFrameworkProperty(String key, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BUNDLE_START_LEVEL

    public static final String DEFAULT_BUNDLE_START_LEVEL

Name of the default value used to set bundle start levels

See Also:
  Constant Field Values

#### ATTR_STOP_CRANKSTART_PROCESSING

    public static final String ATTR_STOP_CRANKSTART_PROCESSING

Name of the attribute that causes crankstart processing to stop

See Also:
  Constant Field Values

#### ATTR_STOP_OSGI_FRAMEWORK

    public static final String ATTR_STOP_OSGI_FRAMEWORK

Name of the attribute that signals a framework stop

See Also:
  Constant Field Values

### Constructor Detail

#### CrankstartContext

    public CrankstartContext()

### Method Detail

#### setOsgiFrameworkProperty

    public void setOsgiFrameworkProperty(String key,
                                String value)

#### getOsgiFrameworkProperties

    public Map<String,String> getOsgiFrameworkProperties()

#### setOsgiFramework

    public void setOsgiFramework(org.osgi.framework.launch.Framework f)

#### getOsgiFramework

    public org.osgi.framework.launch.Framework getOsgiFramework()

#### setAttribute

    public void setAttribute(String key,
                    Object value)

#### getAttribute

    public Object getAttribute(String key)

#### getDefaults

    public Map<String,String> getDefaults()